package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.common.enums.CrmProcessEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 服务单元分析-项目整体进度
 * @Author haoguanghui
 * @date 2024/09/09
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ServiceUnitProgressResult {

    @ApiModelProperty(value = "所处阶段")
    private CrmProcessEnum process;

    @ApiModelProperty(value = "sop数量")
    private Integer sopNum;

    @ApiModelProperty(value = "占比")
    private String ratio;

    @ApiModelProperty(value = "所处阶段")
    private String taskName;

    @ApiModelProperty(value = "sop编号")
    private String sopNo;

    @ApiModelProperty(value = "客户所在省份")
    private String provinceName;

    public CrmProcessEnum getProcess() {
        return process;
    }

    public void setProcess(CrmProcessEnum process) {
        this.process = process;
    }

    public Integer getSopNum() {
        return sopNum;
    }

    public void setSopNum(Integer sopNum) {
        this.sopNum = sopNum;
    }

    public String getRatio() {
        return ratio;
    }

    public void setRatio(String ratio) {
        this.ratio = ratio;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }
}
